@import "variables";

/**  ##### LOGIN ##### **/

#login-screen {
  width: 100%;
  height: 0;
  transition: height 500ms ease-out;
  background: $primary-yellow;

  &.show {
    height: 100vmin;
    transition: height 500ms ease-in;
  }

  .content {
    opacity: 0;
    transition: opacity 1000ms ease-in;

    &.show {
      opacity: 1;
      transition: opacity 1000ms ease-in;
    }
  }

  .close {
    position: absolute;
    top: 30px;
    right: 40px;
    opacity: 1;
    transition: all 200ms;

    &:hover {
      transform: scale(1.2);
      transition: all 200ms;
      cursor: pointer;
    }

    img {
      height: 40px;
    }
  }

  .inner {
    width: 350px;
    height: 450px;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    margin: auto;

    h2 {
      margin-bottom: 30px;
      text-align: center;
      font-weight: bold;
      color: $primary-gray;
    }

    label {
      color: white;
      margin-top: 20px;
      margin-bottom: 2px;
    }

    .switch {
      margin-left: 5px;
      margin-bottom: -4px;
    }

    button.btn {
      width: 100%;
      margin: 20px 0 40px;
    }

    #forgot-password {
      text-align: center;

      a {
        font-size: 14px;
        color: white;

        &:hover {
          text-decoration: underline;
        }
      }
    }

    hr {
      margin-top: 2px;
      border-top: 2px solid $primary-gray;
    }
  }
}